#!/usr/bin/perl -w
use Sys::Hostname;
use File::Basename;
use List::Util qw (shuffle);

my @bamfiles =
    (
     "/panfs/traces03/1000genomes/ftp/data/NA06984/exome_alignment/NA06984.mapped.illumina.mosaik.CEU.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA06986/exome_alignment/NA06986.mapped.illumina.mosaik.CEU.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA06989/exome_alignment/NA06989.mapped.illumina.mosaik.CEU.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA06994/exome_alignment/NA06994.mapped.illumina.mosaik.CEU.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA07037/exome_alignment/NA07037.mapped.illumina.mosaik.CEU.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA07048/exome_alignment/NA07048.mapped.illumina.mosaik.CEU.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA07051/exome_alignment/NA07051.mapped.illumina.mosaik.CEU.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA07347/exome_alignment/NA07347.mapped.illumina.mosaik.CEU.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA10847/exome_alignment/NA10847.mapped.illumina.mosaik.CEU.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA11840/exome_alignment/NA11840.mapped.illumina.mosaik.CEU.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA11843/exome_alignment/NA11843.mapped.illumina.mosaik.CEU.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA11892/exome_alignment/NA11892.mapped.illumina.mosaik.CEU.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA11893/exome_alignment/NA11893.mapped.illumina.mosaik.CEU.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA11894/exome_alignment/NA11894.mapped.illumina.mosaik.CEU.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA11918/exome_alignment/NA11918.mapped.illumina.mosaik.CEU.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA11919/exome_alignment/NA11919.mapped.illumina.mosaik.CEU.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA11920/exome_alignment/NA11920.mapped.illumina.mosaik.CEU.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA11930/exome_alignment/NA11930.mapped.illumina.mosaik.CEU.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA11931/exome_alignment/NA11931.mapped.illumina.mosaik.CEU.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA11932/exome_alignment/NA11932.mapped.illumina.mosaik.CEU.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA11933/exome_alignment/NA11933.mapped.illumina.mosaik.CEU.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA12045/exome_alignment/NA12045.mapped.illumina.mosaik.CEU.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA12058/exome_alignment/NA12058.mapped.illumina.mosaik.CEU.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA12249/exome_alignment/NA12249.mapped.illumina.mosaik.CEU.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA12272/exome_alignment/NA12272.mapped.illumina.mosaik.CEU.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA12273/exome_alignment/NA12273.mapped.illumina.mosaik.CEU.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA12275/exome_alignment/NA12275.mapped.illumina.mosaik.CEU.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA12283/exome_alignment/NA12283.mapped.illumina.mosaik.CEU.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA12286/exome_alignment/NA12286.mapped.illumina.mosaik.CEU.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA12287/exome_alignment/NA12287.mapped.illumina.mosaik.CEU.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA12340/exome_alignment/NA12340.mapped.illumina.mosaik.CEU.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA12341/exome_alignment/NA12341.mapped.illumina.mosaik.CEU.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA12342/exome_alignment/NA12342.mapped.illumina.mosaik.CEU.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA12347/exome_alignment/NA12347.mapped.illumina.mosaik.CEU.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA12348/exome_alignment/NA12348.mapped.illumina.mosaik.CEU.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA12383/exome_alignment/NA12383.mapped.illumina.mosaik.CEU.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA12399/exome_alignment/NA12399.mapped.illumina.mosaik.CEU.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA12413/exome_alignment/NA12413.mapped.illumina.mosaik.CEU.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA12546/exome_alignment/NA12546.mapped.illumina.mosaik.CEU.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA12716/exome_alignment/NA12716.mapped.illumina.mosaik.CEU.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA12717/exome_alignment/NA12717.mapped.illumina.mosaik.CEU.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA12718/exome_alignment/NA12718.mapped.illumina.mosaik.CEU.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA12748/exome_alignment/NA12748.mapped.illumina.mosaik.CEU.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA12749/exome_alignment/NA12749.mapped.illumina.mosaik.CEU.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA12750/exome_alignment/NA12750.mapped.illumina.mosaik.CEU.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA12751/exome_alignment/NA12751.mapped.illumina.mosaik.CEU.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA12760/exome_alignment/NA12760.mapped.illumina.mosaik.CEU.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA12761/exome_alignment/NA12761.mapped.illumina.mosaik.CEU.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA12763/exome_alignment/NA12763.mapped.illumina.mosaik.CEU.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA12775/exome_alignment/NA12775.mapped.illumina.mosaik.CEU.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA12776/exome_alignment/NA12776.mapped.illumina.mosaik.CEU.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA12777/exome_alignment/NA12777.mapped.illumina.mosaik.CEU.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA12778/exome_alignment/NA12778.mapped.illumina.mosaik.CEU.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA12827/exome_alignment/NA12827.mapped.illumina.mosaik.CEU.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA12828/exome_alignment/NA12828.mapped.illumina.mosaik.CEU.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA12830/exome_alignment/NA12830.mapped.illumina.mosaik.CEU.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA12842/exome_alignment/NA12842.mapped.illumina.mosaik.CEU.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA12843/exome_alignment/NA12843.mapped.illumina.mosaik.CEU.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA12878/exome_alignment/NA12878.mapped.illumina.mosaik.CEU.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA12889/exome_alignment/NA12889.mapped.illumina.mosaik.CEU.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA12890/exome_alignment/NA12890.mapped.illumina.mosaik.CEU.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA12891/exome_alignment/NA12891.mapped.illumina.mosaik.CEU.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA12892/exome_alignment/NA12892.mapped.illumina.mosaik.CEU.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18486/exome_alignment/NA18486.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18487/exome_alignment/NA18487.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18488/exome_alignment/NA18488.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18489/exome_alignment/NA18489.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18498/exome_alignment/NA18498.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18499/exome_alignment/NA18499.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18501/exome_alignment/NA18501.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18504/exome_alignment/NA18504.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18510/exome_alignment/NA18510.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18511/exome_alignment/NA18511.mapped.illumina.mosaik.YRI.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18516/exome_alignment/NA18516.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18517/exome_alignment/NA18517.mapped.illumina.mosaik.YRI.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18519/exome_alignment/NA18519.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18520/exome_alignment/NA18520.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18522/exome_alignment/NA18522.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18523/exome_alignment/NA18523.mapped.illumina.mosaik.YRI.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18526/exome_alignment/NA18526.mapped.illumina.mosaik.CHB.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18530/exome_alignment/NA18530.mapped.illumina.mosaik.CHB.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18532/exome_alignment/NA18532.mapped.illumina.mosaik.CHB.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18534/exome_alignment/NA18534.mapped.illumina.mosaik.CHB.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18535/exome_alignment/NA18535.mapped.illumina.mosaik.CHB.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18536/exome_alignment/NA18536.mapped.illumina.mosaik.CHB.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18537/exome_alignment/NA18537.mapped.illumina.mosaik.CHB.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18538/exome_alignment/NA18538.mapped.illumina.mosaik.CHB.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18542/exome_alignment/NA18542.mapped.illumina.mosaik.CHB.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18543/exome_alignment/NA18543.mapped.illumina.mosaik.CHB.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18544/exome_alignment/NA18544.mapped.illumina.mosaik.CHB.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18545/exome_alignment/NA18545.mapped.illumina.mosaik.CHB.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18546/exome_alignment/NA18546.mapped.illumina.mosaik.CHB.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18547/exome_alignment/NA18547.mapped.illumina.mosaik.CHB.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18548/exome_alignment/NA18548.mapped.illumina.mosaik.CHB.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18549/exome_alignment/NA18549.mapped.illumina.mosaik.CHB.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18550/exome_alignment/NA18550.mapped.illumina.mosaik.CHB.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18552/exome_alignment/NA18552.mapped.illumina.mosaik.CHB.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18553/exome_alignment/NA18553.mapped.illumina.mosaik.CHB.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18555/exome_alignment/NA18555.mapped.illumina.mosaik.CHB.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18557/exome_alignment/NA18557.mapped.illumina.mosaik.CHB.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18558/exome_alignment/NA18558.mapped.illumina.mosaik.CHB.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18559/exome_alignment/NA18559.mapped.illumina.mosaik.CHB.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18560/exome_alignment/NA18560.mapped.illumina.mosaik.CHB.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18561/exome_alignment/NA18561.mapped.illumina.mosaik.CHB.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18562/exome_alignment/NA18562.mapped.illumina.mosaik.CHB.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18563/exome_alignment/NA18563.mapped.illumina.mosaik.CHB.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18564/exome_alignment/NA18564.mapped.illumina.mosaik.CHB.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18565/exome_alignment/NA18565.mapped.illumina.mosaik.CHB.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18566/exome_alignment/NA18566.mapped.illumina.mosaik.CHB.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18567/exome_alignment/NA18567.mapped.illumina.mosaik.CHB.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18570/exome_alignment/NA18570.mapped.illumina.mosaik.CHB.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18571/exome_alignment/NA18571.mapped.illumina.mosaik.CHB.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18572/exome_alignment/NA18572.mapped.illumina.mosaik.CHB.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18573/exome_alignment/NA18573.mapped.illumina.mosaik.CHB.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18574/exome_alignment/NA18574.mapped.illumina.mosaik.CHB.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18576/exome_alignment/NA18576.mapped.illumina.mosaik.CHB.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18577/exome_alignment/NA18577.mapped.illumina.mosaik.CHB.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18579/exome_alignment/NA18579.mapped.illumina.mosaik.CHB.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18582/exome_alignment/NA18582.mapped.illumina.mosaik.CHB.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18592/exome_alignment/NA18592.mapped.illumina.mosaik.CHB.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18593/exome_alignment/NA18593.mapped.illumina.mosaik.CHB.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18595/exome_alignment/NA18595.mapped.illumina.mosaik.CHB.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18596/exome_alignment/NA18596.mapped.illumina.mosaik.CHB.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18597/exome_alignment/NA18597.mapped.illumina.mosaik.CHB.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18599/exome_alignment/NA18599.mapped.illumina.mosaik.CHB.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18602/exome_alignment/NA18602.mapped.illumina.mosaik.CHB.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18603/exome_alignment/NA18603.mapped.illumina.mosaik.CHB.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18605/exome_alignment/NA18605.mapped.illumina.mosaik.CHB.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18606/exome_alignment/NA18606.mapped.illumina.mosaik.CHB.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18608/exome_alignment/NA18608.mapped.illumina.mosaik.CHB.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18609/exome_alignment/NA18609.mapped.illumina.mosaik.CHB.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18610/exome_alignment/NA18610.mapped.illumina.mosaik.CHB.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18611/exome_alignment/NA18611.mapped.illumina.mosaik.CHB.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18612/exome_alignment/NA18612.mapped.illumina.mosaik.CHB.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18613/exome_alignment/NA18613.mapped.illumina.mosaik.CHB.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18616/exome_alignment/NA18616.mapped.illumina.mosaik.CHB.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18620/exome_alignment/NA18620.mapped.illumina.mosaik.CHB.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18621/exome_alignment/NA18621.mapped.illumina.mosaik.CHB.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18622/exome_alignment/NA18622.mapped.illumina.mosaik.CHB.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18623/exome_alignment/NA18623.mapped.illumina.mosaik.CHB.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18624/exome_alignment/NA18624.mapped.illumina.mosaik.CHB.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18631/exome_alignment/NA18631.mapped.illumina.mosaik.CHB.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18632/exome_alignment/NA18632.mapped.illumina.mosaik.CHB.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18633/exome_alignment/NA18633.mapped.illumina.mosaik.CHB.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18634/exome_alignment/NA18634.mapped.illumina.mosaik.CHB.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18635/exome_alignment/NA18635.mapped.illumina.mosaik.CHB.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18636/exome_alignment/NA18636.mapped.illumina.mosaik.CHB.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18637/exome_alignment/NA18637.mapped.illumina.mosaik.CHB.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18638/exome_alignment/NA18638.mapped.illumina.mosaik.CHB.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18853/exome_alignment/NA18853.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18856/exome_alignment/NA18856.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18858/exome_alignment/NA18858.mapped.illumina.mosaik.YRI.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18861/exome_alignment/NA18861.mapped.illumina.mosaik.YRI.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18867/exome_alignment/NA18867.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18868/exome_alignment/NA18868.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18870/exome_alignment/NA18870.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18871/exome_alignment/NA18871.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18873/exome_alignment/NA18873.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18874/exome_alignment/NA18874.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18907/exome_alignment/NA18907.mapped.illumina.mosaik.YRI.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18908/exome_alignment/NA18908.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18909/exome_alignment/NA18909.mapped.illumina.mosaik.YRI.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18910/exome_alignment/NA18910.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18912/exome_alignment/NA18912.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18916/exome_alignment/NA18916.mapped.illumina.mosaik.YRI.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18917/exome_alignment/NA18917.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18923/exome_alignment/NA18923.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18924/exome_alignment/NA18924.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18933/exome_alignment/NA18933.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18934/exome_alignment/NA18934.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18940/exome_alignment/NA18940.mapped.illumina.mosaik.JPT.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18942/exome_alignment/NA18942.mapped.illumina.mosaik.JPT.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18943/exome_alignment/NA18943.mapped.illumina.mosaik.JPT.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18944/exome_alignment/NA18944.mapped.illumina.mosaik.JPT.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18945/exome_alignment/NA18945.mapped.illumina.mosaik.JPT.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18947/exome_alignment/NA18947.mapped.illumina.mosaik.JPT.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18948/exome_alignment/NA18948.mapped.illumina.mosaik.JPT.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18949/exome_alignment/NA18949.mapped.illumina.mosaik.JPT.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18950/exome_alignment/NA18950.mapped.illumina.mosaik.JPT.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18951/exome_alignment/NA18951.mapped.illumina.mosaik.JPT.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18952/exome_alignment/NA18952.mapped.illumina.mosaik.JPT.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18953/exome_alignment/NA18953.mapped.illumina.mosaik.JPT.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18959/exome_alignment/NA18959.mapped.illumina.mosaik.JPT.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18960/exome_alignment/NA18960.mapped.illumina.mosaik.JPT.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18961/exome_alignment/NA18961.mapped.illumina.mosaik.JPT.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18964/exome_alignment/NA18964.mapped.illumina.mosaik.JPT.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18966/exome_alignment/NA18966.mapped.illumina.mosaik.JPT.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18967/exome_alignment/NA18967.mapped.illumina.mosaik.JPT.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18968/exome_alignment/NA18968.mapped.illumina.mosaik.JPT.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18969/exome_alignment/NA18969.mapped.illumina.mosaik.JPT.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18970/exome_alignment/NA18970.mapped.illumina.mosaik.JPT.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18971/exome_alignment/NA18971.mapped.illumina.mosaik.JPT.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18972/exome_alignment/NA18972.mapped.illumina.mosaik.JPT.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18973/exome_alignment/NA18973.mapped.illumina.mosaik.JPT.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18974/exome_alignment/NA18974.mapped.illumina.mosaik.JPT.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18975/exome_alignment/NA18975.mapped.illumina.mosaik.JPT.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18976/exome_alignment/NA18976.mapped.illumina.mosaik.JPT.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18981/exome_alignment/NA18981.mapped.illumina.mosaik.JPT.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18982/exome_alignment/NA18982.mapped.illumina.mosaik.JPT.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18983/exome_alignment/NA18983.mapped.illumina.mosaik.JPT.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18985/exome_alignment/NA18985.mapped.illumina.mosaik.JPT.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18986/exome_alignment/NA18986.mapped.illumina.mosaik.JPT.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18987/exome_alignment/NA18987.mapped.illumina.mosaik.JPT.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18988/exome_alignment/NA18988.mapped.illumina.mosaik.JPT.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18989/exome_alignment/NA18989.mapped.illumina.mosaik.JPT.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18990/exome_alignment/NA18990.mapped.illumina.mosaik.JPT.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18991/exome_alignment/NA18991.mapped.illumina.mosaik.JPT.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA18999/exome_alignment/NA18999.mapped.illumina.mosaik.JPT.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19000/exome_alignment/NA19000.mapped.illumina.mosaik.JPT.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19003/exome_alignment/NA19003.mapped.illumina.mosaik.JPT.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19004/exome_alignment/NA19004.mapped.illumina.mosaik.JPT.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19007/exome_alignment/NA19007.mapped.illumina.mosaik.JPT.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19012/exome_alignment/NA19012.mapped.illumina.mosaik.JPT.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19054/exome_alignment/NA19054.mapped.illumina.mosaik.JPT.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19055/exome_alignment/NA19055.mapped.illumina.mosaik.JPT.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19056/exome_alignment/NA19056.mapped.illumina.mosaik.JPT.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19057/exome_alignment/NA19057.mapped.illumina.mosaik.JPT.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19058/exome_alignment/NA19058.mapped.illumina.mosaik.JPT.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19059/exome_alignment/NA19059.mapped.illumina.mosaik.JPT.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19060/exome_alignment/NA19060.mapped.illumina.mosaik.JPT.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19062/exome_alignment/NA19062.mapped.illumina.mosaik.JPT.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19063/exome_alignment/NA19063.mapped.illumina.mosaik.JPT.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19064/exome_alignment/NA19064.mapped.illumina.mosaik.JPT.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19065/exome_alignment/NA19065.mapped.illumina.mosaik.JPT.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19066/exome_alignment/NA19066.mapped.illumina.mosaik.JPT.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19067/exome_alignment/NA19067.mapped.illumina.mosaik.JPT.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19068/exome_alignment/NA19068.mapped.illumina.mosaik.JPT.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19070/exome_alignment/NA19070.mapped.illumina.mosaik.JPT.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19072/exome_alignment/NA19072.mapped.illumina.mosaik.JPT.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19074/exome_alignment/NA19074.mapped.illumina.mosaik.JPT.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19075/exome_alignment/NA19075.mapped.illumina.mosaik.JPT.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19076/exome_alignment/NA19076.mapped.illumina.mosaik.JPT.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19077/exome_alignment/NA19077.mapped.illumina.mosaik.JPT.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19078/exome_alignment/NA19078.mapped.illumina.mosaik.JPT.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19079/exome_alignment/NA19079.mapped.illumina.mosaik.JPT.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19080/exome_alignment/NA19080.mapped.illumina.mosaik.JPT.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19081/exome_alignment/NA19081.mapped.illumina.mosaik.JPT.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19082/exome_alignment/NA19082.mapped.illumina.mosaik.JPT.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19083/exome_alignment/NA19083.mapped.illumina.mosaik.JPT.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19084/exome_alignment/NA19084.mapped.illumina.mosaik.JPT.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19085/exome_alignment/NA19085.mapped.illumina.mosaik.JPT.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19087/exome_alignment/NA19087.mapped.illumina.mosaik.JPT.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19088/exome_alignment/NA19088.mapped.illumina.mosaik.JPT.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19092/exome_alignment/NA19092.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19093/exome_alignment/NA19093.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19098/exome_alignment/NA19098.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19102/exome_alignment/NA19102.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19107/exome_alignment/NA19107.mapped.illumina.mosaik.YRI.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19108/exome_alignment/NA19108.mapped.illumina.mosaik.YRI.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19114/exome_alignment/NA19114.mapped.illumina.mosaik.YRI.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19116/exome_alignment/NA19116.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19119/exome_alignment/NA19119.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19129/exome_alignment/NA19129.mapped.illumina.mosaik.YRI.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19130/exome_alignment/NA19130.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19131/exome_alignment/NA19131.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19137/exome_alignment/NA19137.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19138/exome_alignment/NA19138.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19141/exome_alignment/NA19141.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19143/exome_alignment/NA19143.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19144/exome_alignment/NA19144.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19147/exome_alignment/NA19147.mapped.illumina.mosaik.YRI.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19152/exome_alignment/NA19152.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19153/exome_alignment/NA19153.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19159/exome_alignment/NA19159.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19160/exome_alignment/NA19160.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19171/exome_alignment/NA19171.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19172/exome_alignment/NA19172.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19189/exome_alignment/NA19189.mapped.illumina.mosaik.YRI.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19190/exome_alignment/NA19190.mapped.illumina.mosaik.YRI.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19197/exome_alignment/NA19197.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19198/exome_alignment/NA19198.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19200/exome_alignment/NA19200.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19201/exome_alignment/NA19201.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19204/exome_alignment/NA19204.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19206/exome_alignment/NA19206.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19207/exome_alignment/NA19207.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19209/exome_alignment/NA19209.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19210/exome_alignment/NA19210.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19213/exome_alignment/NA19213.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19223/exome_alignment/NA19223.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19225/exome_alignment/NA19225.mapped.illumina.mosaik.YRI.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19235/exome_alignment/NA19235.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19236/exome_alignment/NA19236.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19238/exome_alignment/NA19238.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19247/exome_alignment/NA19247.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19248/exome_alignment/NA19248.mapped.illumina.mosaik.YRI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19256/exome_alignment/NA19256.mapped.illumina.mosaik.YRI.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19257/exome_alignment/NA19257.mapped.illumina.mosaik.YRI.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19311/exome_alignment/NA19311.mapped.illumina.mosaik.LWK.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19313/exome_alignment/NA19313.mapped.illumina.mosaik.LWK.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19315/exome_alignment/NA19315.mapped.illumina.mosaik.LWK.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19316/exome_alignment/NA19316.mapped.illumina.mosaik.LWK.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19317/exome_alignment/NA19317.mapped.illumina.mosaik.LWK.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19318/exome_alignment/NA19318.mapped.illumina.mosaik.LWK.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19319/exome_alignment/NA19319.mapped.illumina.mosaik.LWK.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19321/exome_alignment/NA19321.mapped.illumina.mosaik.LWK.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19324/exome_alignment/NA19324.mapped.illumina.mosaik.LWK.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19327/exome_alignment/NA19327.mapped.illumina.mosaik.LWK.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19328/exome_alignment/NA19328.mapped.illumina.mosaik.LWK.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19332/exome_alignment/NA19332.mapped.illumina.mosaik.LWK.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19334/exome_alignment/NA19334.mapped.illumina.mosaik.LWK.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19338/exome_alignment/NA19338.mapped.illumina.mosaik.LWK.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19346/exome_alignment/NA19346.mapped.illumina.mosaik.LWK.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19347/exome_alignment/NA19347.mapped.illumina.mosaik.LWK.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19350/exome_alignment/NA19350.mapped.illumina.mosaik.LWK.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19380/exome_alignment/NA19380.mapped.illumina.mosaik.LWK.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19385/exome_alignment/NA19385.mapped.illumina.mosaik.LWK.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19457/exome_alignment/NA19457.mapped.illumina.mosaik.LWK.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19471/exome_alignment/NA19471.mapped.illumina.mosaik.LWK.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19472/exome_alignment/NA19472.mapped.illumina.mosaik.LWK.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19473/exome_alignment/NA19473.mapped.illumina.mosaik.LWK.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19474/exome_alignment/NA19474.mapped.illumina.mosaik.LWK.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19625/exome_alignment/NA19625.mapped.illumina.mosaik.ASW.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19648/exome_alignment/NA19648.mapped.illumina.mosaik.MXL.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19649/exome_alignment/NA19649.mapped.illumina.mosaik.MXL.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19651/exome_alignment/NA19651.mapped.illumina.mosaik.MXL.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19652/exome_alignment/NA19652.mapped.illumina.mosaik.MXL.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19654/exome_alignment/NA19654.mapped.illumina.mosaik.MXL.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19655/exome_alignment/NA19655.mapped.illumina.mosaik.MXL.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19657/exome_alignment/NA19657.mapped.illumina.mosaik.MXL.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19658/exome_alignment/NA19658.mapped.illumina.mosaik.MXL.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19660/exome_alignment/NA19660.mapped.illumina.mosaik.MXL.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19661/exome_alignment/NA19661.mapped.illumina.mosaik.MXL.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19663/exome_alignment/NA19663.mapped.illumina.mosaik.MXL.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19664/exome_alignment/NA19664.mapped.illumina.mosaik.MXL.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19669/exome_alignment/NA19669.mapped.illumina.mosaik.MXL.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19670/exome_alignment/NA19670.mapped.illumina.mosaik.MXL.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19675/exome_alignment/NA19675.mapped.illumina.mosaik.MXL.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19676/exome_alignment/NA19676.mapped.illumina.mosaik.MXL.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19678/exome_alignment/NA19678.mapped.illumina.mosaik.MXL.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19679/exome_alignment/NA19679.mapped.illumina.mosaik.MXL.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19681/exome_alignment/NA19681.mapped.illumina.mosaik.MXL.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19682/exome_alignment/NA19682.mapped.illumina.mosaik.MXL.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19684/exome_alignment/NA19684.mapped.illumina.mosaik.MXL.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19685/exome_alignment/NA19685.mapped.illumina.mosaik.MXL.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19700/exome_alignment/NA19700.mapped.illumina.mosaik.ASW.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19701/exome_alignment/NA19701.mapped.illumina.mosaik.ASW.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19703/exome_alignment/NA19703.mapped.illumina.mosaik.ASW.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19704/exome_alignment/NA19704.mapped.illumina.mosaik.ASW.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19707/exome_alignment/NA19707.mapped.illumina.mosaik.ASW.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19711/exome_alignment/NA19711.mapped.illumina.mosaik.ASW.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19712/exome_alignment/NA19712.mapped.illumina.mosaik.ASW.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19713/exome_alignment/NA19713.mapped.illumina.mosaik.ASW.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19716/exome_alignment/NA19716.mapped.illumina.mosaik.MXL.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19717/exome_alignment/NA19717.mapped.illumina.mosaik.MXL.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19719/exome_alignment/NA19719.mapped.illumina.mosaik.MXL.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19720/exome_alignment/NA19720.mapped.illumina.mosaik.MXL.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19722/exome_alignment/NA19722.mapped.illumina.mosaik.MXL.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19723/exome_alignment/NA19723.mapped.illumina.mosaik.MXL.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19725/exome_alignment/NA19725.mapped.illumina.mosaik.MXL.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19726/exome_alignment/NA19726.mapped.illumina.mosaik.MXL.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19728/exome_alignment/NA19728.mapped.illumina.mosaik.MXL.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19729/exome_alignment/NA19729.mapped.illumina.mosaik.MXL.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19731/exome_alignment/NA19731.mapped.illumina.mosaik.MXL.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19732/exome_alignment/NA19732.mapped.illumina.mosaik.MXL.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19746/exome_alignment/NA19746.mapped.illumina.mosaik.MXL.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19747/exome_alignment/NA19747.mapped.illumina.mosaik.MXL.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19749/exome_alignment/NA19749.mapped.illumina.mosaik.MXL.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19750/exome_alignment/NA19750.mapped.illumina.mosaik.MXL.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19755/exome_alignment/NA19755.mapped.illumina.mosaik.MXL.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19756/exome_alignment/NA19756.mapped.illumina.mosaik.MXL.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19758/exome_alignment/NA19758.mapped.illumina.mosaik.MXL.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19759/exome_alignment/NA19759.mapped.illumina.mosaik.MXL.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19761/exome_alignment/NA19761.mapped.illumina.mosaik.MXL.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19762/exome_alignment/NA19762.mapped.illumina.mosaik.MXL.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19770/exome_alignment/NA19770.mapped.illumina.mosaik.MXL.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19771/exome_alignment/NA19771.mapped.illumina.mosaik.MXL.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19773/exome_alignment/NA19773.mapped.illumina.mosaik.MXL.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19774/exome_alignment/NA19774.mapped.illumina.mosaik.MXL.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19776/exome_alignment/NA19776.mapped.illumina.mosaik.MXL.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19777/exome_alignment/NA19777.mapped.illumina.mosaik.MXL.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19779/exome_alignment/NA19779.mapped.illumina.mosaik.MXL.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19780/exome_alignment/NA19780.mapped.illumina.mosaik.MXL.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19782/exome_alignment/NA19782.mapped.illumina.mosaik.MXL.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19783/exome_alignment/NA19783.mapped.illumina.mosaik.MXL.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19785/exome_alignment/NA19785.mapped.illumina.mosaik.MXL.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19786/exome_alignment/NA19786.mapped.illumina.mosaik.MXL.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19788/exome_alignment/NA19788.mapped.illumina.mosaik.MXL.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19789/exome_alignment/NA19789.mapped.illumina.mosaik.MXL.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19818/exome_alignment/NA19818.mapped.illumina.mosaik.ASW.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19819/exome_alignment/NA19819.mapped.illumina.mosaik.ASW.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19834/exome_alignment/NA19834.mapped.illumina.mosaik.ASW.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19835/exome_alignment/NA19835.mapped.illumina.mosaik.ASW.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19901/exome_alignment/NA19901.mapped.illumina.mosaik.ASW.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19904/exome_alignment/NA19904.mapped.illumina.mosaik.ASW.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19908/exome_alignment/NA19908.mapped.illumina.mosaik.ASW.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19909/exome_alignment/NA19909.mapped.illumina.mosaik.ASW.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19914/exome_alignment/NA19914.mapped.illumina.mosaik.ASW.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19916/exome_alignment/NA19916.mapped.illumina.mosaik.ASW.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19917/exome_alignment/NA19917.mapped.illumina.mosaik.ASW.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19920/exome_alignment/NA19920.mapped.illumina.mosaik.ASW.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19921/exome_alignment/NA19921.mapped.illumina.mosaik.ASW.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19982/exome_alignment/NA19982.mapped.illumina.mosaik.ASW.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA19985/exome_alignment/NA19985.mapped.illumina.mosaik.ASW.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20126/exome_alignment/NA20126.mapped.illumina.mosaik.ASW.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20127/exome_alignment/NA20127.mapped.illumina.mosaik.ASW.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20276/exome_alignment/NA20276.mapped.illumina.mosaik.ASW.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20278/exome_alignment/NA20278.mapped.illumina.mosaik.ASW.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20281/exome_alignment/NA20281.mapped.illumina.mosaik.ASW.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20282/exome_alignment/NA20282.mapped.illumina.mosaik.ASW.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20287/exome_alignment/NA20287.mapped.illumina.mosaik.ASW.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20289/exome_alignment/NA20289.mapped.illumina.mosaik.ASW.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20291/exome_alignment/NA20291.mapped.illumina.mosaik.ASW.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20294/exome_alignment/NA20294.mapped.illumina.mosaik.ASW.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20296/exome_alignment/NA20296.mapped.illumina.mosaik.ASW.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20299/exome_alignment/NA20299.mapped.illumina.mosaik.ASW.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20314/exome_alignment/NA20314.mapped.illumina.mosaik.ASW.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20317/exome_alignment/NA20317.mapped.illumina.mosaik.ASW.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20322/exome_alignment/NA20322.mapped.illumina.mosaik.ASW.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20332/exome_alignment/NA20332.mapped.illumina.mosaik.ASW.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20334/exome_alignment/NA20334.mapped.illumina.mosaik.ASW.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20336/exome_alignment/NA20336.mapped.illumina.mosaik.ASW.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20340/exome_alignment/NA20340.mapped.illumina.mosaik.ASW.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20341/exome_alignment/NA20341.mapped.illumina.mosaik.ASW.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20342/exome_alignment/NA20342.mapped.illumina.mosaik.ASW.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20344/exome_alignment/NA20344.mapped.illumina.mosaik.ASW.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20346/exome_alignment/NA20346.mapped.illumina.mosaik.ASW.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20348/exome_alignment/NA20348.mapped.illumina.mosaik.ASW.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20356/exome_alignment/NA20356.mapped.illumina.mosaik.ASW.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20542/exome_alignment/NA20542.mapped.illumina.mosaik.TSI.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20543/exome_alignment/NA20543.mapped.illumina.mosaik.TSI.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20544/exome_alignment/NA20544.mapped.illumina.mosaik.TSI.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20581/exome_alignment/NA20581.mapped.illumina.mosaik.TSI.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20582/exome_alignment/NA20582.mapped.illumina.mosaik.TSI.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20585/exome_alignment/NA20585.mapped.illumina.mosaik.TSI.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20586/exome_alignment/NA20586.mapped.illumina.mosaik.TSI.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20588/exome_alignment/NA20588.mapped.illumina.mosaik.TSI.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20589/exome_alignment/NA20589.mapped.illumina.mosaik.TSI.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20752/exome_alignment/NA20752.mapped.illumina.mosaik.TSI.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20753/exome_alignment/NA20753.mapped.illumina.mosaik.TSI.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20754/exome_alignment/NA20754.mapped.illumina.mosaik.TSI.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20755/exome_alignment/NA20755.mapped.illumina.mosaik.TSI.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20756/exome_alignment/NA20756.mapped.illumina.mosaik.TSI.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20757/exome_alignment/NA20757.mapped.illumina.mosaik.TSI.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20758/exome_alignment/NA20758.mapped.illumina.mosaik.TSI.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20759/exome_alignment/NA20759.mapped.illumina.mosaik.TSI.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20760/exome_alignment/NA20760.mapped.illumina.mosaik.TSI.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20761/exome_alignment/NA20761.mapped.illumina.mosaik.TSI.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20765/exome_alignment/NA20765.mapped.illumina.mosaik.TSI.exome.20110521.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20766/exome_alignment/NA20766.mapped.illumina.mosaik.TSI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20768/exome_alignment/NA20768.mapped.illumina.mosaik.TSI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20769/exome_alignment/NA20769.mapped.illumina.mosaik.TSI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20770/exome_alignment/NA20770.mapped.illumina.mosaik.TSI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20771/exome_alignment/NA20771.mapped.illumina.mosaik.TSI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20772/exome_alignment/NA20772.mapped.illumina.mosaik.TSI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20773/exome_alignment/NA20773.mapped.illumina.mosaik.TSI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20774/exome_alignment/NA20774.mapped.illumina.mosaik.TSI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20775/exome_alignment/NA20775.mapped.illumina.mosaik.TSI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20778/exome_alignment/NA20778.mapped.illumina.mosaik.TSI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20783/exome_alignment/NA20783.mapped.illumina.mosaik.TSI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20785/exome_alignment/NA20785.mapped.illumina.mosaik.TSI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20786/exome_alignment/NA20786.mapped.illumina.mosaik.TSI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20787/exome_alignment/NA20787.mapped.illumina.mosaik.TSI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20790/exome_alignment/NA20790.mapped.illumina.mosaik.TSI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20792/exome_alignment/NA20792.mapped.illumina.mosaik.TSI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20795/exome_alignment/NA20795.mapped.illumina.mosaik.TSI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20796/exome_alignment/NA20796.mapped.illumina.mosaik.TSI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20798/exome_alignment/NA20798.mapped.illumina.mosaik.TSI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20799/exome_alignment/NA20799.mapped.illumina.mosaik.TSI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20800/exome_alignment/NA20800.mapped.illumina.mosaik.TSI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20801/exome_alignment/NA20801.mapped.illumina.mosaik.TSI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20802/exome_alignment/NA20802.mapped.illumina.mosaik.TSI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20803/exome_alignment/NA20803.mapped.illumina.mosaik.TSI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20804/exome_alignment/NA20804.mapped.illumina.mosaik.TSI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20805/exome_alignment/NA20805.mapped.illumina.mosaik.TSI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20806/exome_alignment/NA20806.mapped.illumina.mosaik.TSI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20807/exome_alignment/NA20807.mapped.illumina.mosaik.TSI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20808/exome_alignment/NA20808.mapped.illumina.mosaik.TSI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20809/exome_alignment/NA20809.mapped.illumina.mosaik.TSI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20810/exome_alignment/NA20810.mapped.illumina.mosaik.TSI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20811/exome_alignment/NA20811.mapped.illumina.mosaik.TSI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20812/exome_alignment/NA20812.mapped.illumina.mosaik.TSI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20813/exome_alignment/NA20813.mapped.illumina.mosaik.TSI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20814/exome_alignment/NA20814.mapped.illumina.mosaik.TSI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20815/exome_alignment/NA20815.mapped.illumina.mosaik.TSI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20818/exome_alignment/NA20818.mapped.illumina.mosaik.TSI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20819/exome_alignment/NA20819.mapped.illumina.mosaik.TSI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20826/exome_alignment/NA20826.mapped.illumina.mosaik.TSI.exome.20110411.bam",
     "/panfs/traces03/1000genomes/ftp/data/NA20828/exome_alignment/NA20828.mapped.illumina.mosaik.TSI.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00096/exome_alignment/HG00096.mapped.illumina.mosaik.GBR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00100/exome_alignment/HG00100.mapped.illumina.mosaik.GBR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00101/exome_alignment/HG00101.mapped.illumina.mosaik.GBR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00102/exome_alignment/HG00102.mapped.illumina.mosaik.GBR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00103/exome_alignment/HG00103.mapped.illumina.mosaik.GBR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00107/exome_alignment/HG00107.mapped.illumina.mosaik.GBR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00108/exome_alignment/HG00108.mapped.illumina.mosaik.GBR.exome.20110521.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00109/exome_alignment/HG00109.mapped.illumina.mosaik.GBR.exome.20110521.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00110/exome_alignment/HG00110.mapped.illumina.mosaik.GBR.exome.20110521.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00111/exome_alignment/HG00111.mapped.illumina.mosaik.GBR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00113/exome_alignment/HG00113.mapped.illumina.mosaik.GBR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00114/exome_alignment/HG00114.mapped.illumina.mosaik.GBR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00116/exome_alignment/HG00116.mapped.illumina.mosaik.GBR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00117/exome_alignment/HG00117.mapped.illumina.mosaik.GBR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00119/exome_alignment/HG00119.mapped.illumina.mosaik.GBR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00120/exome_alignment/HG00120.mapped.illumina.mosaik.GBR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00121/exome_alignment/HG00121.mapped.illumina.mosaik.GBR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00123/exome_alignment/HG00123.mapped.illumina.mosaik.GBR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00124/exome_alignment/HG00124.mapped.illumina.mosaik.GBR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00125/exome_alignment/HG00125.mapped.illumina.mosaik.GBR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00127/exome_alignment/HG00127.mapped.illumina.mosaik.GBR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00131/exome_alignment/HG00131.mapped.illumina.mosaik.GBR.exome.20110521.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00133/exome_alignment/HG00133.mapped.illumina.mosaik.GBR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00136/exome_alignment/HG00136.mapped.illumina.mosaik.GBR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00137/exome_alignment/HG00137.mapped.illumina.mosaik.GBR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00138/exome_alignment/HG00138.mapped.illumina.mosaik.GBR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00139/exome_alignment/HG00139.mapped.illumina.mosaik.GBR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00140/exome_alignment/HG00140.mapped.illumina.mosaik.GBR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00145/exome_alignment/HG00145.mapped.illumina.mosaik.GBR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00154/exome_alignment/HG00154.mapped.illumina.mosaik.GBR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00157/exome_alignment/HG00157.mapped.illumina.mosaik.GBR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00158/exome_alignment/HG00158.mapped.illumina.mosaik.GBR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00159/exome_alignment/HG00159.mapped.illumina.mosaik.GBR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00160/exome_alignment/HG00160.mapped.illumina.mosaik.GBR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00171/exome_alignment/HG00171.mapped.illumina.mosaik.FIN.exome.20110521.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00174/exome_alignment/HG00174.mapped.illumina.mosaik.FIN.exome.20110521.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00176/exome_alignment/HG00176.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00178/exome_alignment/HG00178.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00181/exome_alignment/HG00181.mapped.illumina.mosaik.FIN.exome.20110521.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00182/exome_alignment/HG00182.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00183/exome_alignment/HG00183.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00185/exome_alignment/HG00185.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00186/exome_alignment/HG00186.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00187/exome_alignment/HG00187.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00188/exome_alignment/HG00188.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00189/exome_alignment/HG00189.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00190/exome_alignment/HG00190.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00232/exome_alignment/HG00232.mapped.illumina.mosaik.GBR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00233/exome_alignment/HG00233.mapped.illumina.mosaik.GBR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00236/exome_alignment/HG00236.mapped.illumina.mosaik.GBR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00237/exome_alignment/HG00237.mapped.illumina.mosaik.GBR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00238/exome_alignment/HG00238.mapped.illumina.mosaik.GBR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00239/exome_alignment/HG00239.mapped.illumina.mosaik.GBR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00240/exome_alignment/HG00240.mapped.illumina.mosaik.GBR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00242/exome_alignment/HG00242.mapped.illumina.mosaik.GBR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00243/exome_alignment/HG00243.mapped.illumina.mosaik.GBR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00244/exome_alignment/HG00244.mapped.illumina.mosaik.GBR.exome.20110521.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00246/exome_alignment/HG00246.mapped.illumina.mosaik.GBR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00249/exome_alignment/HG00249.mapped.illumina.mosaik.GBR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00250/exome_alignment/HG00250.mapped.illumina.mosaik.GBR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00251/exome_alignment/HG00251.mapped.illumina.mosaik.GBR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00252/exome_alignment/HG00252.mapped.illumina.mosaik.GBR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00253/exome_alignment/HG00253.mapped.illumina.mosaik.GBR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00254/exome_alignment/HG00254.mapped.illumina.mosaik.GBR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00255/exome_alignment/HG00255.mapped.illumina.mosaik.GBR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00256/exome_alignment/HG00256.mapped.illumina.mosaik.GBR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00257/exome_alignment/HG00257.mapped.illumina.mosaik.GBR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00258/exome_alignment/HG00258.mapped.illumina.mosaik.GBR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00259/exome_alignment/HG00259.mapped.illumina.mosaik.GBR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00260/exome_alignment/HG00260.mapped.illumina.mosaik.GBR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00261/exome_alignment/HG00261.mapped.illumina.mosaik.GBR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00262/exome_alignment/HG00262.mapped.illumina.mosaik.GBR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00263/exome_alignment/HG00263.mapped.illumina.mosaik.GBR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00264/exome_alignment/HG00264.mapped.illumina.mosaik.GBR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00265/exome_alignment/HG00265.mapped.illumina.mosaik.GBR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00268/exome_alignment/HG00268.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00271/exome_alignment/HG00271.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00272/exome_alignment/HG00272.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00273/exome_alignment/HG00273.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00274/exome_alignment/HG00274.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00275/exome_alignment/HG00275.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00276/exome_alignment/HG00276.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00277/exome_alignment/HG00277.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00278/exome_alignment/HG00278.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00280/exome_alignment/HG00280.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00281/exome_alignment/HG00281.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00282/exome_alignment/HG00282.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00284/exome_alignment/HG00284.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00285/exome_alignment/HG00285.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00306/exome_alignment/HG00306.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00309/exome_alignment/HG00309.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00310/exome_alignment/HG00310.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00311/exome_alignment/HG00311.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00312/exome_alignment/HG00312.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00313/exome_alignment/HG00313.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00315/exome_alignment/HG00315.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00318/exome_alignment/HG00318.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00319/exome_alignment/HG00319.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00320/exome_alignment/HG00320.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00321/exome_alignment/HG00321.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00323/exome_alignment/HG00323.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00324/exome_alignment/HG00324.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00325/exome_alignment/HG00325.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00326/exome_alignment/HG00326.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00327/exome_alignment/HG00327.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00328/exome_alignment/HG00328.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00329/exome_alignment/HG00329.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00330/exome_alignment/HG00330.mapped.illumina.mosaik.FIN.exome.20110521.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00331/exome_alignment/HG00331.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00332/exome_alignment/HG00332.mapped.illumina.mosaik.FIN.exome.20110521.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00334/exome_alignment/HG00334.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00335/exome_alignment/HG00335.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00336/exome_alignment/HG00336.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00337/exome_alignment/HG00337.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00338/exome_alignment/HG00338.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00339/exome_alignment/HG00339.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00341/exome_alignment/HG00341.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00342/exome_alignment/HG00342.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00343/exome_alignment/HG00343.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00344/exome_alignment/HG00344.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00345/exome_alignment/HG00345.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00346/exome_alignment/HG00346.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00353/exome_alignment/HG00353.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00357/exome_alignment/HG00357.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00361/exome_alignment/HG00361.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00366/exome_alignment/HG00366.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00367/exome_alignment/HG00367.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00368/exome_alignment/HG00368.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00369/exome_alignment/HG00369.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00371/exome_alignment/HG00371.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00372/exome_alignment/HG00372.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00373/exome_alignment/HG00373.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00375/exome_alignment/HG00375.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00376/exome_alignment/HG00376.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00377/exome_alignment/HG00377.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00378/exome_alignment/HG00378.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00379/exome_alignment/HG00379.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00380/exome_alignment/HG00380.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00381/exome_alignment/HG00381.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00382/exome_alignment/HG00382.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00383/exome_alignment/HG00383.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00384/exome_alignment/HG00384.mapped.illumina.mosaik.FIN.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00403/exome_alignment/HG00403.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00404/exome_alignment/HG00404.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00406/exome_alignment/HG00406.mapped.illumina.mosaik.CHS.exome.20110521.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00407/exome_alignment/HG00407.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00418/exome_alignment/HG00418.mapped.illumina.mosaik.CHS.exome.20110521.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00419/exome_alignment/HG00419.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00421/exome_alignment/HG00421.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00422/exome_alignment/HG00422.mapped.illumina.mosaik.CHS.exome.20110521.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00427/exome_alignment/HG00427.mapped.illumina.mosaik.CHS.exome.20110521.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00428/exome_alignment/HG00428.mapped.illumina.mosaik.CHS.exome.20110521.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00436/exome_alignment/HG00436.mapped.illumina.mosaik.CHS.exome.20110521.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00437/exome_alignment/HG00437.mapped.illumina.mosaik.CHS.exome.20110521.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00442/exome_alignment/HG00442.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00443/exome_alignment/HG00443.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00445/exome_alignment/HG00445.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00446/exome_alignment/HG00446.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00448/exome_alignment/HG00448.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00449/exome_alignment/HG00449.mapped.illumina.mosaik.CHS.exome.20110521.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00451/exome_alignment/HG00451.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00452/exome_alignment/HG00452.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00457/exome_alignment/HG00457.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00458/exome_alignment/HG00458.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00463/exome_alignment/HG00463.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00464/exome_alignment/HG00464.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00472/exome_alignment/HG00472.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00473/exome_alignment/HG00473.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00475/exome_alignment/HG00475.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00476/exome_alignment/HG00476.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00478/exome_alignment/HG00478.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00479/exome_alignment/HG00479.mapped.illumina.mosaik.CHS.exome.20110521.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00500/exome_alignment/HG00500.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00501/exome_alignment/HG00501.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00512/exome_alignment/HG00512.mapped.illumina.mosaik.CHS.exome.20110521.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00513/exome_alignment/HG00513.mapped.illumina.mosaik.CHS.exome.20110521.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00524/exome_alignment/HG00524.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00525/exome_alignment/HG00525.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00530/exome_alignment/HG00530.mapped.illumina.mosaik.CHS.exome.20110521.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00531/exome_alignment/HG00531.mapped.illumina.mosaik.CHS.exome.20110521.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00533/exome_alignment/HG00533.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00534/exome_alignment/HG00534.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00536/exome_alignment/HG00536.mapped.illumina.mosaik.CHS.exome.20110521.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00537/exome_alignment/HG00537.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00542/exome_alignment/HG00542.mapped.illumina.mosaik.CHS.exome.20110521.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00543/exome_alignment/HG00543.mapped.illumina.mosaik.CHS.exome.20110521.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00551/exome_alignment/HG00551.mapped.illumina.mosaik.PUR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00553/exome_alignment/HG00553.mapped.illumina.mosaik.PUR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00554/exome_alignment/HG00554.mapped.illumina.mosaik.PUR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00556/exome_alignment/HG00556.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00557/exome_alignment/HG00557.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00580/exome_alignment/HG00580.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00581/exome_alignment/HG00581.mapped.illumina.mosaik.CHS.exome.20110521.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00583/exome_alignment/HG00583.mapped.illumina.mosaik.CHS.exome.20110521.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00584/exome_alignment/HG00584.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00589/exome_alignment/HG00589.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00590/exome_alignment/HG00590.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00607/exome_alignment/HG00607.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00608/exome_alignment/HG00608.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00610/exome_alignment/HG00610.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00611/exome_alignment/HG00611.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00613/exome_alignment/HG00613.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00614/exome_alignment/HG00614.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00619/exome_alignment/HG00619.mapped.illumina.mosaik.CHS.exome.20110521.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00620/exome_alignment/HG00620.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00625/exome_alignment/HG00625.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00626/exome_alignment/HG00626.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00628/exome_alignment/HG00628.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00629/exome_alignment/HG00629.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00634/exome_alignment/HG00634.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00635/exome_alignment/HG00635.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00637/exome_alignment/HG00637.mapped.illumina.mosaik.PUR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00638/exome_alignment/HG00638.mapped.illumina.mosaik.PUR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00640/exome_alignment/HG00640.mapped.illumina.mosaik.PUR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00641/exome_alignment/HG00641.mapped.illumina.mosaik.PUR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00650/exome_alignment/HG00650.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00651/exome_alignment/HG00651.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00653/exome_alignment/HG00653.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00654/exome_alignment/HG00654.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00656/exome_alignment/HG00656.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00657/exome_alignment/HG00657.mapped.illumina.mosaik.CHS.exome.20110521.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00662/exome_alignment/HG00662.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00663/exome_alignment/HG00663.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00671/exome_alignment/HG00671.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00672/exome_alignment/HG00672.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00683/exome_alignment/HG00683.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00684/exome_alignment/HG00684.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00689/exome_alignment/HG00689.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00690/exome_alignment/HG00690.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00692/exome_alignment/HG00692.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00693/exome_alignment/HG00693.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00698/exome_alignment/HG00698.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00699/exome_alignment/HG00699.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00701/exome_alignment/HG00701.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00702/exome_alignment/HG00702.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00704/exome_alignment/HG00704.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00705/exome_alignment/HG00705.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00707/exome_alignment/HG00707.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00708/exome_alignment/HG00708.mapped.illumina.mosaik.CHS.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00731/exome_alignment/HG00731.mapped.illumina.mosaik.PUR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00732/exome_alignment/HG00732.mapped.illumina.mosaik.PUR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00734/exome_alignment/HG00734.mapped.illumina.mosaik.PUR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00736/exome_alignment/HG00736.mapped.illumina.mosaik.PUR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00737/exome_alignment/HG00737.mapped.illumina.mosaik.PUR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00739/exome_alignment/HG00739.mapped.illumina.mosaik.PUR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG00740/exome_alignment/HG00740.mapped.illumina.mosaik.PUR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01047/exome_alignment/HG01047.mapped.illumina.mosaik.PUR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01048/exome_alignment/HG01048.mapped.illumina.mosaik.PUR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01049/exome_alignment/HG01049.mapped.illumina.mosaik.PUR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01051/exome_alignment/HG01051.mapped.illumina.mosaik.PUR.exome.20110521.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01052/exome_alignment/HG01052.mapped.illumina.mosaik.PUR.exome.20110521.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01054/exome_alignment/HG01054.mapped.illumina.mosaik.PUR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01055/exome_alignment/HG01055.mapped.illumina.mosaik.PUR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01060/exome_alignment/HG01060.mapped.illumina.mosaik.PUR.exome.20110521.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01061/exome_alignment/HG01061.mapped.illumina.mosaik.PUR.exome.20110521.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01066/exome_alignment/HG01066.mapped.illumina.mosaik.PUR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01067/exome_alignment/HG01067.mapped.illumina.mosaik.PUR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01069/exome_alignment/HG01069.mapped.illumina.mosaik.PUR.exome.20110521.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01070/exome_alignment/HG01070.mapped.illumina.mosaik.PUR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01072/exome_alignment/HG01072.mapped.illumina.mosaik.PUR.exome.20110521.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01073/exome_alignment/HG01073.mapped.illumina.mosaik.PUR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01075/exome_alignment/HG01075.mapped.illumina.mosaik.PUR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01079/exome_alignment/HG01079.mapped.illumina.mosaik.PUR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01080/exome_alignment/HG01080.mapped.illumina.mosaik.PUR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01082/exome_alignment/HG01082.mapped.illumina.mosaik.PUR.exome.20110521.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01083/exome_alignment/HG01083.mapped.illumina.mosaik.PUR.exome.20110521.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01085/exome_alignment/HG01085.mapped.illumina.mosaik.PUR.exome.20110521.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01086/exome_alignment/HG01086.mapped.illumina.mosaik.PUR.exome.20110521.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01094/exome_alignment/HG01094.mapped.illumina.mosaik.PUR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01095/exome_alignment/HG01095.mapped.illumina.mosaik.PUR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01097/exome_alignment/HG01097.mapped.illumina.mosaik.PUR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01098/exome_alignment/HG01098.mapped.illumina.mosaik.PUR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01102/exome_alignment/HG01102.mapped.illumina.mosaik.PUR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01104/exome_alignment/HG01104.mapped.illumina.mosaik.PUR.exome.20110521.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01105/exome_alignment/HG01105.mapped.illumina.mosaik.PUR.exome.20110521.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01107/exome_alignment/HG01107.mapped.illumina.mosaik.PUR.exome.20110521.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01108/exome_alignment/HG01108.mapped.illumina.mosaik.PUR.exome.20110521.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01110/exome_alignment/HG01110.mapped.illumina.mosaik.PUR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01111/exome_alignment/HG01111.mapped.illumina.mosaik.PUR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01112/exome_alignment/HG01112.mapped.illumina.mosaik.CLM.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01113/exome_alignment/HG01113.mapped.illumina.mosaik.CLM.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01168/exome_alignment/HG01168.mapped.illumina.mosaik.PUR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01170/exome_alignment/HG01170.mapped.illumina.mosaik.PUR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01171/exome_alignment/HG01171.mapped.illumina.mosaik.PUR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01173/exome_alignment/HG01173.mapped.illumina.mosaik.PUR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01174/exome_alignment/HG01174.mapped.illumina.mosaik.PUR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01176/exome_alignment/HG01176.mapped.illumina.mosaik.PUR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01177/exome_alignment/HG01177.mapped.illumina.mosaik.PUR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01187/exome_alignment/HG01187.mapped.illumina.mosaik.PUR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01188/exome_alignment/HG01188.mapped.illumina.mosaik.PUR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01190/exome_alignment/HG01190.mapped.illumina.mosaik.PUR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01205/exome_alignment/HG01205.mapped.illumina.mosaik.PUR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01241/exome_alignment/HG01241.mapped.illumina.mosaik.PUR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01242/exome_alignment/HG01242.mapped.illumina.mosaik.PUR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01247/exome_alignment/HG01247.mapped.illumina.mosaik.PUR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01248/exome_alignment/HG01248.mapped.illumina.mosaik.PUR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01250/exome_alignment/HG01250.mapped.illumina.mosaik.CLM.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01251/exome_alignment/HG01251.mapped.illumina.mosaik.CLM.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01253/exome_alignment/HG01253.mapped.illumina.mosaik.CLM.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01254/exome_alignment/HG01254.mapped.illumina.mosaik.CLM.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01256/exome_alignment/HG01256.mapped.illumina.mosaik.CLM.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01257/exome_alignment/HG01257.mapped.illumina.mosaik.CLM.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01259/exome_alignment/HG01259.mapped.illumina.mosaik.CLM.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01260/exome_alignment/HG01260.mapped.illumina.mosaik.CLM.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01334/exome_alignment/HG01334.mapped.illumina.mosaik.GBR.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01341/exome_alignment/HG01341.mapped.illumina.mosaik.CLM.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01342/exome_alignment/HG01342.mapped.illumina.mosaik.CLM.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01350/exome_alignment/HG01350.mapped.illumina.mosaik.CLM.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01351/exome_alignment/HG01351.mapped.illumina.mosaik.CLM.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01353/exome_alignment/HG01353.mapped.illumina.mosaik.CLM.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01354/exome_alignment/HG01354.mapped.illumina.mosaik.CLM.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01359/exome_alignment/HG01359.mapped.illumina.mosaik.CLM.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01360/exome_alignment/HG01360.mapped.illumina.mosaik.CLM.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01365/exome_alignment/HG01365.mapped.illumina.mosaik.CLM.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01366/exome_alignment/HG01366.mapped.illumina.mosaik.CLM.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01374/exome_alignment/HG01374.mapped.illumina.mosaik.CLM.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01375/exome_alignment/HG01375.mapped.illumina.mosaik.CLM.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01377/exome_alignment/HG01377.mapped.illumina.mosaik.CLM.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01378/exome_alignment/HG01378.mapped.illumina.mosaik.CLM.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01383/exome_alignment/HG01383.mapped.illumina.mosaik.CLM.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01384/exome_alignment/HG01384.mapped.illumina.mosaik.CLM.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01389/exome_alignment/HG01389.mapped.illumina.mosaik.CLM.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01390/exome_alignment/HG01390.mapped.illumina.mosaik.CLM.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01437/exome_alignment/HG01437.mapped.illumina.mosaik.CLM.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01438/exome_alignment/HG01438.mapped.illumina.mosaik.CLM.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01440/exome_alignment/HG01440.mapped.illumina.mosaik.CLM.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01441/exome_alignment/HG01441.mapped.illumina.mosaik.CLM.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01455/exome_alignment/HG01455.mapped.illumina.mosaik.CLM.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01456/exome_alignment/HG01456.mapped.illumina.mosaik.CLM.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01461/exome_alignment/HG01461.mapped.illumina.mosaik.CLM.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01462/exome_alignment/HG01462.mapped.illumina.mosaik.CLM.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01464/exome_alignment/HG01464.mapped.illumina.mosaik.CLM.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01465/exome_alignment/HG01465.mapped.illumina.mosaik.CLM.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01488/exome_alignment/HG01488.mapped.illumina.mosaik.CLM.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01489/exome_alignment/HG01489.mapped.illumina.mosaik.CLM.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01491/exome_alignment/HG01491.mapped.illumina.mosaik.CLM.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01492/exome_alignment/HG01492.mapped.illumina.mosaik.CLM.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01494/exome_alignment/HG01494.mapped.illumina.mosaik.CLM.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01495/exome_alignment/HG01495.mapped.illumina.mosaik.CLM.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01497/exome_alignment/HG01497.mapped.illumina.mosaik.CLM.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01498/exome_alignment/HG01498.mapped.illumina.mosaik.CLM.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01550/exome_alignment/HG01550.mapped.illumina.mosaik.CLM.exome.20110411.bam",
     "/panfs/traces03/1000genomes2/ftp/data/HG01551/exome_alignment/HG01551.mapped.illumina.mosaik.CLM.exome.20110411.bam"
    );

my $outdirbase = "/panfs/traces01.be-md.ncbi.nlm.nih.gov/compress/qa/killian2/1000genomes";

my $CFG = "/panfs/traces01.be-md.ncbi.nlm.nih.gov/compress/qa/killian2/analysis.bam.cfg";

my $host = hostname;
my $count = (substr($host,0,4) eq "lmem") ? 4 : 1;

my $log;


mkdir ($outdirbase) or die $! unless (-d $outdirbase);
open ($log, ">",  "$outdirbase/big-test.log") or die "Cannot open log file";


my %pidlist;
my $cpid;

my @shuffled_bamfiles = shuffle(@bamfiles);

foreach $bam (@shuffled_bamfiles)
{
    if (keys(%pidlist) == $count)
    {
        $cpid = waitpid (-1, 0);
        print{$log}("Finished $cpid $pidlist{$cpid}\n");
        delete $pidlist{"$cpid"};
    }

    my $bambase = basename($bam);
    print{$log} "checking $bam\n";

    $cpid = fork();
    if ($cpid == 0)
    {
        exec ("validbam.pl", $bam, $CFG, "$outdirbase/$bambase.test") or die "Failed to start $bam";
    }
    else
    {
        print{$log}("Starting $cpid $bam\n");
        $pidlist{"$cpid"} = $bam;
    }
}

while (keys (%pidlist))
{
    $cpid = waitpid (-1, 0);
    print{$log} ("Finished $cpid $pidlist{$cpid}\n");
}

close ($log);

__END__
